<?php 
    $wp_customize->add_section(
        'about_area',
        array(
            'title' => __( 'About Us Section', 'luzuk-premium' ),
            'panel' => 'luzuk_premium_home_panel'
        )
    );
    $wp_customize->add_setting(
        'about_area_disable',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new luzuk_Switch_Control(
            $wp_customize,
            'about_area_disable',
            array(
                'settings'      => 'about_area_disable',
                'section'       => 'about_area',
                'label'         => __( 'Disable Section', 'luzuk-premium' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'luzuk-premium' ),
                    'off' => __( 'No', 'luzuk-premium' )
                ),
            )
        )
    ); 

backgroundManager($wp_customize, 'aboutus', 'about_area', $color='#EAE1DA', get_template_directory_uri().'/images/default-gray.png', 'img');


lzCustomLable($wp_customize, 'aboutarea_padding', 'about_area', 'Section Padding');

$wp_customize->add_setting(
    'about_areaTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '3em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_areaTpadding',
    array(
        'settings'      => 'about_areaTpadding',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'about_areaBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '3em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_areaBpadding',
    array(
        'settings'      => 'about_areaBpadding',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk-premium' )
    )
);


$wp_customize->add_setting(
    'about_image_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text'
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'about_image_heading',
        array(
            'settings'      => 'about_image_heading',
            'section'       => 'about_area',
            'label'         => __( 'Section Image', 'luzuk-premium' ),
        )
    )
);

$wp_customize->add_setting(
    'about_image',
    array(
        'sanitize_callback' => 'esc_url_raw'
    )
);

$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'about_image',
        array(
            'section' => 'about_area',
            'settings' => 'about_image',
            'description' => __('Recommended Image Size: 580X720px', 'luzuk-premium')
        )
    )
);

addColorPalatOption($wp_customize, 'about_secimgshpclr1', 'about_area', 'Image BG Shape Color 1', '#EAE1DA');

addColorPalatOption($wp_customize, 'about_secimgshpclr2', 'about_area', 'Image BG Shape Color 2', '#6D6C40');

$wp_customize->add_setting(
    'experience_txt',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '10 Years Of Experience', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'experience_txt',
    array(
        'settings'      => 'experience_txt',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Experience Text', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'abt_Experienceclr', 'about_area', 'Experience Text Color ', '#fff');

addColorPalatOption($wp_customize, 'abt_Experiencebgclr', 'about_area', 'Experience Text BG Color ', '#6D6C40');

addColorPalatOption($wp_customize, 'abt_ExprncArwclr1', 'about_area', 'Experience Arrow Color 1', '#fff');

addColorPalatOption($wp_customize, 'abt_ExprncArwclr2', 'about_area', 'Experience Arrow Color 2', '#6D6C40');

$wp_customize->add_setting(
    'about_title_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text'
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'about_title_heading',
        array(
            'settings'      => 'about_title_heading',
            'section'       => 'about_area',
            'label'         => __( ' Section Sub Heading & Heading', 'luzuk-premium' ),
        )
    )
);    

$wp_customize->add_setting(
    'aboutsubtitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'ABOUT US', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'aboutsubtitle',
    array(
        'settings'      => 'aboutsubtitle',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Section Sub Heading', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'about_secsbuheading', 'about_area', 'Section Sub Heading Color ', '#6D6C40');

$wp_customize->add_setting(
    'about_title',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Mehendi Moments, Forever Etched in Beauty', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_title',
    array(
        'settings'      => 'about_title',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Section Heading', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'about_area_sectitle_clr', 'about_area', 'Section Heading Color ', '#010101');

$wp_customize->add_setting(
    'about_text',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Nullam eget maximus nibh. Etiam pellentesque ac ante a rhoncus. Duis vel purus turpis. Donec porta orci nunc, vel vestibulum nulla feugiat et. Quisque non dolor metus. Sed sapien sem, vehicula quis urna non, pretium vehicula tortor.', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_text',
    array(
        'settings'      => 'about_text',
        'section'       => 'about_area',
        'type'          => 'textarea',
        'label'         => __( 'Section Text', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'about_area_text', 'about_area', 'Section Text Color', '#707070');

$wp_customize->add_setting(
    'about_list',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Vivamus risus dolor, auctor nec auctor a, molestie vel turpis. Praesent consectetur varius ultrices. Nullam lacinia imperdiet felis, vitae accumsan lorem feugiat vitae. Nunc ut nunc suscipit, lacinia nisl non, tincidunt lectus.', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_list',
    array(
        'settings'      => 'about_list',
        'section'       => 'about_area',
        'type'          => 'textarea',
        'label'         => __( 'Section Other Text', 'luzuk-premium' )
    )
);

// ===============================
// $wp_customize->add_setting('aboutus_npp_heading',array('sanitize_callback' => 'luzuk_sanitize_text'));
// $wp_customize->add_control(
//     new luzuk_Customize_Heading(
//         $wp_customize,
//         'aboutus_npp_heading',
//         array(
//             'settings'      => 'aboutus_npp_heading',
//             'section'       => 'about_area',
//             'label'         => __( 'Number Of About Plans', 'luzuk-premium' ),
//         )
//     )
// );    

lzCustomLable($wp_customize, 'aboutarea_rhsAboutPlan', 'about_area', 'Number Of About Plan To Show');

$wp_customize->add_setting('aboutus_npp_count',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 1));
$wp_customize->add_control(
    'aboutus_npp_count',
    array(
        'settings'      => 'aboutus_npp_count',
        'section'       => 'about_area',
        'type'          => 'select',
        'label'         => __( 'Number Of About Plan To Show', 'luzuk-premium' ),
        'choices'=>array(1,2,3,4)
    )
);

//ABOUT PAGES
for( $i = 1; $i <= 4; $i++ ){
    $wp_customize->add_setting(
        'aboutus_header'.$i,
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'aboutus_header'.$i,
            array(
                'settings'      => 'aboutus_header'.$i,
                'section'       => 'about_area',
                'label'         => __( 'About Plan ', 'luzuk-premium' ).$i
            )
        )
    );

//lzAddImageElement($wp_customize, 'aboutus_page_icon'.$i, 'about_area', $label="Recommended Image Size: 150X150px");

     $wp_customize->add_setting(
        'aboutus_page_icon'.$i,
        array(
            'default'           => 'fa fa-users',
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new luzuk_Fontawesome_Icon_Chooser(
            $wp_customize,
            'aboutus_page_icon'.$i,
            array(
                'settings'      => 'aboutus_page_icon'.$i,
                'section'       => 'about_area',
                'type'          => 'icon',
                'label'         => __( 'FontAwesome Icon', 'luzuk-premium' ),
            )
        )
    );

lzAddElement($wp_customize, 'aboutuspg_num'.$i, 'about_area', $type = 'text', $label="Number", $callback ='luzuk_sanitize_text', $default='200');

lzAddElement($wp_customize, 'aboutuspg_title'.$i, 'about_area', $type = 'text', $label="Title", $callback ='luzuk_sanitize_text', $default='Happy Clients');

}


lzCustomLable($wp_customize, 'Sec_abtclor', 'about_area' , 'Section Color');

addColorPalatOption($wp_customize, 'about_area_pagebxicn', 'about_area', 'Icon Color', '#6D6C40');

addColorPalatOption($wp_customize, 'aboutarea_pgnum', 'about_area', 'Number Color', '#010101');

addColorPalatOption($wp_customize, 'about_area_pagetitle', 'about_area', 'Icon Title Color', '#6D6C40');


$wp_customize->add_setting(
    'abtbtntext',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Read More', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'abtbtntext',
    array(
        'settings'      => 'abtbtntext',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Button Text ', 'Luzuk' )
    )
);

$wp_customize->add_setting('abtbtnbtnlink',   
    array('default'=> 'Add Link', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('abtbtnbtnlink',
    array(
        'settings'      => 'abtbtnbtnlink',
        'section'       => 'about_area',
        'type'          => 'url',
        'label'         => __( 'Button Link ', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'about_area_btntxt', 'about_area', 'Button Text Color', '#EAE1DA');

addColorPalatOption($wp_customize, 'about_area_btntxthv', 'about_area', 'Button Text Hover Color', '#434207');

addColorPalatOption($wp_customize, 'about_area_btnbg', 'about_area', 'Button BG Color ', '#6D6C40');

addColorPalatOption($wp_customize, 'about_area_btnbghv', 'about_area', 'Button BG Hover Color', '#fff');

