<?php 
$wp_customize->add_section(
    'service_area',
    array(
        'title'         => __( 'Services Section', 'luzuk' ),
        'panel'   => 'luzuk_premium_home_panel',
    )
);
$wp_customize->add_setting(
    'service_area_disable',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default' => 'off'
    )
);
$wp_customize->add_control(
    new luzuk_Switch_Control(
        $wp_customize,
        'service_area_disable',
        array(
            'settings'      => 'service_area_disable',
            'section'       => 'service_area',
            'label'         => __( 'Disable Section', 'luzuk' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'luzuk' ),
                'off' => __( 'No', 'luzuk' )
            )   
        )
    )
);

backgroundManager($wp_customize, 'service', 'service_area', $color='#EAE1DA', get_template_directory_uri().'/images/default.png', 'img');

lzCustomLable($wp_customize, 'luzuk_sec_servicessectionpadding', 'service_area', 'Section Padding');

$wp_customize->add_setting(
    'service_areaTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '3em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'service_areaTpadding',
    array(
        'settings'      => 'service_areaTpadding',
        'section'       => 'service_area',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'service_areaBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '3em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'service_areaBpadding',
    array(
        'settings'      => 'service_areaBpadding',
        'section'       => 'service_area',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'service_areaheading', 'service_area', 'Section Heading & Sub Heading');

$wp_customize->add_setting('ser_maintitle',array('sanitize_callback' => 'luzuk_sanitize_text','default' => __( 'Mehendi Magic Services', 'luzuk' )));
$wp_customize->add_control(
    'ser_maintitle',
    array(
        'settings'      => 'ser_maintitle',
        'section'       => 'service_area',
        'type'          => 'text',
        'label'         => __( 'Section Heading', 'luzuk' )
    )
);

addColorPalatOption($wp_customize, 'sersec_headingclr', 'service_area', 'Section Heading Color ', '#6D6C40');


$wp_customize->add_setting('ser_text',array('sanitize_callback' => 'luzuk_sanitize_text','default' => __( 'Fusce sagittis diam viverra, pretium quam ut, cursus sapien', 'luzuk' )));
$wp_customize->add_control(
    'ser_text',
    array(
        'settings'      => 'ser_text',
        'section'       => 'service_area',
        'type'          => 'text',
        'label'         => __( 'Section Sub Heading', 'luzuk' )
    )
);

addColorPalatOption($wp_customize, 'sersec_subheading_clr', 'service_area', 'Section Sub Heading Color ', '#707070');

$wp_customize->add_setting('service_area_lbl2', array('sanitize_callback'=>'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Info_Text( 
        $wp_customize,
        'service_area_lbl2',
        array(
            'settings'      => 'service_area_lbl2',
            'section'       => 'service_area',
            'label'         => __( 'Note 2 :', 'luzuk' ),  
            'description'   => __( 'Use Shortcode [SERVICES] to show all services in a page', 'luzuk' ),
        )
    )
);


$wp_customize->add_setting('service_npp_heading',array('sanitize_callback' => 'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'service_npp_heading',
        array(
            'settings'      => 'service_npp_heading',
            'section'       => 'service_area',
            'label'         => __( 'Number Of Services To Show', 'luzuk' ),
        )
    )
);    
$wp_customize->add_setting('service_npp_count',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 2));
$wp_customize->add_control(
    'service_npp_count',
    array(
        'settings'      => 'service_npp_count',
        'section'       => 'service_area',
        'type'          => 'select',
        'label'         => __( 'Number Of Services To Show', 'luzuk' ),
        'choices'=>array(1,2,3,4,5,6,7,8,9)
    )
);

$ServicesSingleChoice[] = 'Select';

for( $i = 1; $i <= 9; $i++ ){
    $wp_customize->add_setting(
        'services_heading'.$i,
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'services_heading'.$i,
            array(
                'settings'      => 'services_heading'.$i,
                'section'       => 'service_area',
                'label'         => __( 'Service ', 'luzuk' ).$i,
            )
        )
    );
    if(is_array($ServicesSingleChoice)){
        $wp_customize->add_setting(
            'services_page'.$i,
            array(
                'sanitize_callback' => 'absint'
            )
        );
        $wp_customize->add_control(
            'services_page'.$i,
            array(
                'settings'      => 'services_page'.$i,
                'section'       => 'service_area',
                'type'=> 'select',
                'label'         => __( 'Select A Service Box ', 'luzuk' ),
                'choices' => $ServicesSingleChoice,
            )
        );

    }else{
        $wp_customize->add_setting('service_area_lbl'.$i, array('sanitize_callback'=>'luzuk_sanitize_text'));
        $wp_customize->add_control(
            new luzuk_Info_Text( 
                $wp_customize,
                'service_area_lbl'.$i,
                array(
                    'settings'      => 'service_area_lbl'.$i,
                    'section'       => 'service_area',
                    'label'         => __( 'Note:', 'luzuk' ),    
                    'description'   => __( '<strong>Changes will not reflect unless you select the Service Page.</strong> <br/>Please add the Services from "Services menu" and then select Services to show information.', 'luzuk' ),
                )
            )
        );
    }
}

lzCustomLable($wp_customize, 'luzuk_sec_servicesclr', 'service_area', 'Service Section Color');


addColorPalatOption($wp_customize, 'serarea_imghvclr', 'service_area', 'Image Hover Ovelay Color ', '#434207');

addColorPalatOption($wp_customize, 'serarea_imgbrdclr', 'service_area', 'Image Border 1 Color ', '#6D6C40');

addColorPalatOption($wp_customize, 'serarea_imgbrd2clr', 'service_area', 'Image Border 2 Color ', '#EAE1DA');

addColorPalatOption($wp_customize, 'serarea_imgbtnicnclr', 'service_area', 'Button Icon Color ', '#6D6C40');

addColorPalatOption($wp_customize, 'serarea_imgbtnicnbgclr', 'service_area', 'Button Icon BG Color ', '#EAE1DA');

addColorPalatOption($wp_customize, 'services_secTitleClr', 'service_area', 'Title Color ', '#010101');

addColorPalatOption($wp_customize, 'services_secTitlehvClr', 'service_area', 'Title Hover Color ', '#6D6C40');

//addColorPalatOption($wp_customize, 'services_sectxtlClr', 'service_area', 'Text Color ', '#fff');

// $wp_customize->add_setting(
//     'ser_button1',
//     array(
//         'sanitize_callback' => 'luzuk_sanitize_text',
//         'default'           => __( 'Read More', 'Luzuk' )
//     )
// );
// $wp_customize->add_control(
//     'ser_button1',
//     array(
//         'settings'      => 'ser_button1',
//         'section'       => 'service_area',
//         'type'          => 'text',
//         'label'         => __( 'Image Button Text ', 'Luzuk' )
//     )
// );

// addColorPalatOption($wp_customize, 'services_imgbtnClr', 'service_area', 'Image Button Color ', '#fff');

// addColorPalatOption($wp_customize, 'services_imgbtnhvClr', 'service_area', 'Image Button Hover Color ', '#FF0000');
